com.holonplatform.jaxrs.spring.boot.resteasy

## Class ResteasyConfig

- java.lang.Object
- - javax.ws.rs.core.Application
  - - com.holonplatform.jaxrs.spring.boot.resteasy.ResteasyConfig

-     public class ResteasyConfig
      extends javax.ws.rs.core.Application

  Resteasy JAX-RS `Application` configuration.

  This class is used by the `ResteasyAutoConfiguration` class to auto configure Resteasy.

  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class<?>>` | `getClasses()`
    `Map<String,Object>` | `getProperties()`
    `Set<Object>` | `getSingletons()`
    `boolean` | `isRegistered(Class<?> componentClass)` Checks whether given component class is registered in this configuration.
    `ResteasyConfig` | `property(String name, Object value)` Set the new configuration property, if already set, the existing value of the property will be updated.
    `ResteasyConfig` | `register(Class<?> componentClass)` Register a class of a JAX-RS component (such as `Path` resource or a `Provider`).
    `ResteasyConfig` | `register(Object component)` Register a class of a JAX-RS component (such as `Path` resource or a `Provider`).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyConfig

          public ResteasyConfig()

  - ### Method Detail

    - #### register

          public ResteasyConfig register(Class<?> componentClass)

      Register a class of a JAX-RS component (such as `Path` resource or a `Provider`).

      `Path` resources registered this way will be treated by default as per-request resources.

      Parameters:
        `componentClass` - JAX-RS component class to be registered
      Returns:
        the updated configuration

    - #### register

          public ResteasyConfig register(Object component)

      Register a class of a JAX-RS component (such as `Path` resource or a `Provider`).

      `Path` resources registered this way will be treated by default as singleton resources.

      Parameters:
        `component` - JAX-RS component to be registered
      Returns:
        the updated configuration

    - #### property

          public ResteasyConfig property(String name,
                                         Object value)

      Set the new configuration property, if already set, the existing value of the property will be updated. Setting a `null` value into a property effectively removes the property from the property bag.
      Parameters:
        `name` - Property name
        `value` - Property value
      Returns:
        the updated configuration

    - #### isRegistered

          public boolean isRegistered(Class<?> componentClass)

      Checks whether given component class is registered in this configuration.
      Parameters:
        `componentClass` - Component class to check
      Returns:
        `true` if class is registered in this configuration, `false` otherwise

    - #### getClasses

          public Set<Class<?>> getClasses()

      Overrides:
        `getClasses` in class `javax.ws.rs.core.Application`

    - #### getSingletons

          public Set<Object> getSingletons()

      Overrides:
        `getSingletons` in class `javax.ws.rs.core.Application`

    - #### getProperties

          public Map<String,Object> getProperties()

      Overrides:
        `getProperties` in class `javax.ws.rs.core.Application`

Copyright © 2019 The Holon Platform. All rights reserved.